html,
body {
  font-family: "Maven Pro", sans-serif;
}

#sidebar {
  height: inherit;
  min-height: 100%;
  width: 75vw;
  position: absolute;
  top: 0;
  right: 0;
  background: #ffffff;
  box-shadow: 0px 2.5px 7px rgba(0, 0, 0, 0.05);
  border-radius: 13.5px 0px 0px 13.5px;
  padding: 40px 25px;
  z-index: 5;
  display: none;

  &.show {
    display: block;
  }

  .sidebar__icon {
    text-align: end;
    margin-bottom: 35px;

    .sidebar__icon-xmark {
      color: #7e7e7e;
      font-size: 1.6rem;
      cursor: pointer;
    }
  }

  .sidebar__user {
    margin-bottom: 30px;

    .sidebar-user__login {
      .sidebar-user__login-list-link {
        .sidebar-user__login-list-btn {
          border: none;
          padding: 12px 0;
          margin-bottom: 25px;
          border-radius: 31.5px;
          width: 100%;
          text-align: center;
          color: #ffffff;
          font-size: 0.94rem;
          line-height: 18px;

          &.login {
            background-color: #a5a5a5;
          }

          &.register {
            background-color: #0798d4;
          }
        }
      }
    }

    .sidebar-user__info {
      .sidebar-user__info-user {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding-bottom: 10px;

        .sidebar-user__info-avatar-container {
          display: flex;
          align-items: center;

          .sidebar-user__info-avatar {
            margin-right: 15px;
          }

          p {
            font-size: 1.5rem;
            font-weight: 600;
          }
        }

        .sidebar-user__info-user-img {
          img {
            object-fit: cover;
            opacity: 50%;
          }
        }
      }

      .sidebar-user__info-list {
        margin: 25px 0 0 65px;
        display: none;

        &.show {
          display: block;
        }
      }
    }
  }
}

.sidebar-user__info-list {
  .sidebar-user__info-list-item {
    margin-bottom: 15px;
    padding-bottom: 20px;

    &:not(:last-child) {
      border-bottom: 1px solid #b0b0b0;
    }

    .sidebar-user__info-list-link {
      display: flex;
      align-items: center;
      font-weight: 500;
      font-size: 1.1rem;
      line-height: 18px;
      color: #7e7e7e;

      img {
        width: 25px;
        margin-right: 15px;
      }
    }

    &:hover {
      .sidebar-user__info-list-link {
        color: #0798d4;
      }
    }

    &.active {
      .sidebar-user__info-list-link {
        color: #0798d4;
      }
    }

    .languages-menu {
      .languages-menu__toggle {
        justify-content: flex-start;
        padding: 0;
        font-weight: 500;
        font-size: 1.1rem;
        line-height: 18px;
        color: #7e7e7e;

        img {
          margin-right: 15px;
        }

        &::after {
          margin-left: auto;
          margin-right: 0;
          font-size: 1.5rem;
        }
      }

      .dropdown-menu-right {
        width: 100%;
        height: 30px;

        .dropdown-item {
          div {
            div {
              font-weight: 500;
              font-size: 1.1rem !important;
              line-height: 18px;
              color: #7e7e7e !important;
            }
          }
        }
      }
    }
  }
}

@media (max-width: 767.98px) {
  .sidebar-user__info-list {
    .sidebar-user__info-list-item {
      .sidebar-user__info-list-link {
        font-size: 0.94rem;
      }

      .languages-menu {
        .languages-menu__toggle {
          font-size: 0.94rem;
        }

        .dropdown-menu-right {
          .dropdown-item {
            div {
              div {
                font-size: 0.94rem !important;
              }
            }
          }
        }
      }
    }
  }
}

@media (max-width: 578px) {
}

@media (max-width: 500px) {
  #sidebar {
    padding: 35px 20px;

    .sidebar__icon {
      margin-bottom: 30px;
    }

    .sidebar__user {
      margin-bottom: 20px;

      .sidebar-user__info {
        .sidebar-user__info-user {
          .sidebar-user__info-avatar-container {
            p {
              font-size: 1.4rem;
            }
          }
        }

        .sidebar-user__info-list {
          margin: 15px 0 0 45px;
        }
      }
    }
  }
}

@media (max-width: 430px) {
  #sidebar {
    padding: 35px 15px;

    .sidebar__icon {
      margin-bottom: 25px;

      .sidebar__icon-xmark {
        font-size: 1.4rem;
      }
    }

    .sidebar__user {
      margin-bottom: 15px;

      .sidebar-user__login {
        .sidebar-user__login-list-link {
          .sidebar-user__login-list-btn {
            margin-bottom: 20px;
            padding: 10px 0;
          }
        }
      }

      .sidebar-user__info {
        .sidebar-user__info-user {
          .sidebar-user__info-avatar-container {
            .sidebar-user__info-avatar {
              margin-right: 15px;
            }

            p {
              font-size: 1.2rem;
            }
          }
        }

        .sidebar-user__info-list {
          margin: 10px 0 0 0px;
        }
      }
    }
  }
}
